- Qt 6.6
- Qt GUI
- C++ Classes
- QGLXContext
- Qt 6.6.2 Reference Documentation

# QGLXContext Struct

struct QNativeInterface::QGLXContext

Native interface to a GLX context. More...

Header: | #include <QOpenGLContext>
CMake: | find_package(Qt6 REQUIRED COMPONENTS Gui) target_link_libraries(mytarget PRIVATE Qt6::Gui)
qmake: | QT += gui
Since: | Qt 6.0

- List of all members, including inherited members
- QGLXContext is part of Native Interfaces.

## Public Functions

virtual GLXContext | nativeContext() const = 0

## Static Public Members

QOpenGLContext * | fromNative(GLXContext configBasedContext, QOpenGLContext *shareContext = nullptr)
QOpenGLContext * | fromNative(GLXContext visualBasedContext, void *visualInfo, QOpenGLContext *shareContext = nullptr)

## Detailed Description

Accessed through QOpenGLContext::nativeInterface().

## Member Function Documentation

### `[static]` QOpenGLContext *QGLXContext::fromNative(GLXContext configBasedContext, QOpenGLContext *shareContext = nullptr)

Adopts a GLXContext configBasedContext created from an FBConfig.

The context must be created from a framebuffer configuration, using the `glXCreateNewContext` function.

Ownership of the created QOpenGLContext shareContext is transferred to the caller.

### `[static]` QOpenGLContext *QGLXContext::fromNative(GLXContext visualBasedContext, void *visualInfo, QOpenGLContext *shareContext = nullptr)

Adopts a GLXContext created from an X visual.

The context must be created from a visual, using the `glXCreateContext` function. The same visual must be passed as a pointer to an `XVisualInfo` struct, in the visualInfo argument.

Ownership of the created QOpenGLContext is transferred to the caller.

### `[pure virtual]` GLXContext QGLXContext::nativeContext() const

Returns the underlying GLXContext.